## caudium-1.2.32.tar.gz

=== tools/xdumpfont/Makefile ===
all: xdumpfont readfont

CC=gcc
CFLAGS=-O


xdumpfont:  xdumpfont.o
	$(CC) $(CFLAGS) -o xdumpfont xdumpfont.o -lX11 -lsocket -lnsl

readfont:  readfont.o fontdemo.o
	$(CC) $(CFLAGS) -o readfont readfont.o fontdemo.o

banner: readfont.o banner.o
	$(CC) $(CFLAGS) -o banner readfont.o banner.o

readfont.o: readfont.h
fontdemo.o: readfont.h

fonts_made: xdumpfont
	pike makefonts.lpc; touch fonts_made

fonts: fonts_made

=== packages/freebsd/ports/www/caudium12/Makefile ===
# New ports collection makefile for:	pike
# Date created:		05 Sep 2001
# Whom:			kiwi@oav.net
#
# $FreeBSD$
#

PORTNAME=	caudium
PORTVERSION=	1.2.8
PORTREVISION=	6
CATEGORIES=	www
MASTER_SITES=	ftp://ftp.oav.net/caudium/source/	\
		ftp://ftp.caudium.net/caudium/source/ \
		ftp://ftp.oav.net/pkg_freebsd/distfiles/ \
		http://grendel.firewall.com/caudium-pkg/ \
		ftp://ftp.oav.net/caudium/source/old
DISTNAME=	caudium-${PORTVERSION}

MAINTAINER=	kiwi@oav.net

BUILD_DEPENDS=	pike:${PORTSDIR}/lang/pike72cvs/
LIB_DEPENDS=	sablot.69:${PORTSDIR}/textproc/sablotron/
DEPENDS=	${PORTSDIR}/lang/pexts/

WRKSRC=		${WRKDIR}/${DISTNAME}

GNU_CONFIGURE=  yes
CONFIGURE_ARGS+= --without-debug --with-PiXSL --prefix=${PREFIX}

USE_GMAKE=	yes

pre-configure:
	@${ECHO} ${CONFIGURE_ARGS}

post-configure:
	@cd ${WRKSRC}/src/cmods; \
	(for a in Caudium PiXSL UltraLog;do cd $$a; ${SED} s/"INSTALL=..\/"/"INSTALL=\/usr\/bin\/install -c"/ Makefile > Makefile.tmp; ${MV} -f Makefile.tmp Makefile; cd ..; done)
	@cd ${WRKSRC}/src/tools; ${SED} s/"INSTALL=..\/"/"INSTALL=\/usr\/bin\/install -c"/ Makefile > Makefile.tmp; ${MV} -f Makefile.tmp Makefile
	@cd ${WRKSRC}/src/fast_cgi; ${SED} s/"INSTALL=..\/"/"INSTALL=\/usr\/bin\/install -c"/ Makefile > Makefile.tmp; ${MV} -f Makefile.tmp Makefile

post-build:
	@${SED} 's,@@PREFIX@@,${PREFIX},g' ${FILESDIR}/caudium.sh >${WRKDIR}/caudium.sh

post-install:
#	@${RM} ${PREFIX}/caudium/server/base_server/caudium.pike.orig
	@${CHOWN} -R www:www ${PREFIX}/caudium
	@${INSTALL_SCRIPT} ${WRKDIR}/caudium.sh ${PREFIX}/etc/rc.d/caudium.sh.sample
	@${CAT} ${PKGMESSAGE}

.include <bsd.port.mk>

=== packages/freebsd/ports/www/caudium_php4/Makefile ===
# New ports collection makefile for:	caudium_php4
# Date created:		Tue May  7 19:46:30 CEST 2002
# Whom:			Xavier Beaudouin <kiwi@oav.net>
#
# $FreeBSD$
#

PORTNAME=	caudium_php4
PORTVERSION=	4.2.2
PORTREVISION=	1
CATEGORIES=	www
MASTER_SITES=	http://us.php.net/${PHP_DISTDIR}/ \
		http://php.he.net/${PHP_DISTDIR}/ \
		http://www.php3.de/${PHP_DISTDIR}/ \
		http://au.php.net/${PHP_DISTDIR}/ \
		http://at.php.net/${PHP_DISTDIR}/ \
		http://br.php.net/${PHP_DISTDIR}/ \
		http://php.easydns.com/${PHP_DISTDIR}/ \
		http://www.php.cz/${PHP_DISTDIR}/ \
		http://php3.globe.de/${PHP_DISTDIR}/
DISTNAME=	php-${PORTVERSION}

MAINTAINER=	kiwi@oav.net

BUILD_DEPENDS=	${LOCALBASE}/bin/caudiumctl:${PORTSDIR}/www/caudium12
RUN_DEPENDS=	${LOCALBASE}/bin/caudiumctl:${PORTSDIR}/www/caudium12

PHP_DISTDIR=	distributions

USE_SUBMAKE=	yes
USE_AUTOCONF_VER=213

CONFIGURE_ARGS=	--with-config-file-path=${PREFIX}/etc/php.caudium \
		--disable-pear \
		--enable-discard-path \
		--with-caudium=/usr/local/caudium/server \
		--enable-track-vars \
		--enable-memory-limit \
		--enable-force-cgi-redirect \
		--with-pcre \
		--enable-session \
		--enable-xml \
		--enable-discard-path \
		--enable-posix \
		--enable-track-vars \
		--enable-force-cgi-redirect \
		--with-readline=/usr

CONFIGURE_ARGS+=--enable-versioning \
		--with-regex=system \
		--without-gd \
		--without-mysql

CFLAGS+=	-I${PREFIX}/include

SCRIPTS_ENV=	WRKDIRPREFIX="${WRKDIRPREFIX}" \
		TOUCH="${TOUCH}" \
		MKDIR="${MKDIR}" \
		CAT="${CAT}" \
		PHP4_OPTIONS="${PHP4_OPTIONS}" \
		REALCURDIR="${.CURDIR}"

INSTALL_TARGET=	install-sapi

pre-fetch:
	@${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/configure.php
	@${ECHO_CMD} ""

post-install:
	@${MKDIR} ${PREFIX}/etc/php.caudium
	@${INSTALL_DATA} ${WRKSRC}/php.ini-dist ${PREFIX}/etc/php.caudium

post-clean:
	@${RM} -f ${WRKDIRPREFIX}${.CURDIR}/Makefile.inc

.if exists(${WRKDIRPREFIX}${.CURDIR}/Makefile.inc)
.include "${WRKDIRPREFIX}${.CURDIR}/Makefile.inc"
.endif

.include <bsd.port.mk>

=== debian/changelog ===
caudium (2:1.2.31-9) unstable; urgency=high

  * The latest upstream. Fixes SSL problems where secure connections would
    transfer partial data.

 -- Marek Habersack <grendel@debian.org>  Sat, 24 Jan 2004 03:30:34 +0100

caudium (2:1.2.31-8) unstable; urgency=low

  * Update to the pt_BR translation, thanks to Andre Luis Lopes 
    (closes: Bug#227371)

 -- Marek Habersack <grendel@debian.org>  Tue, 13 Jan 2004 17:30:02 +0100

caudium (2:1.2.31-7) unstable; urgency=low

  * The latest upstream update.
  * Updated the French language debconf translation submitted by
    Philippe Batailler, thanks (closes: Bug#227227).

 -- Marek Habersack <grendel@debian.org>  Tue, 13 Jan 2004 00:36:33 +0100

caudium (2:1.2.31-6) unstable; urgency=medium

  * Fixed handling of encrypted passwords by sed (closes: Bug#221481)
  * postrm correctly removes the /var/www/index.html symlink on purge
  * Documented the Location option in the LDAPauth module 
    (closes: Bug#221752)
  * Caudium now recommends logrotate instead of depending on it
  * The admin password is asked for twice now (closes: Bug#214613)

 -- Marek Habersack <grendel@debian.org>  Thu, 20 Nov 2003 18:33:04 +0100

caudium (2:1.2.31-5) unstable; urgency=high

  * Recompiled to match the latest Pike 7.2 version

 -- Marek Habersack <grendel@debian.org>  Mon,  3 Nov 2003 21:23:07 +0100

caudium (2:1.2.31-4) unstable; urgency=high

  * Removed a stray dot from the build depends line (closes: Bug#212054)

 -- Marek Habersack <grendel@debian.org>  Mon, 22 Sep 2003 17:49:02 +0200

caudium (2:1.2.31-3) unstable; urgency=high

  * Package description fixes (closes: Bug#209533)
  * All headers are where they belong (closes: Bug#204489)
  * Tightened the build-time dependencies on pike7.2 so that
    the autobuilders pick up the right pike version.

 -- Marek Habersack <grendel@debian.org>  Tue,  9 Sep 2003 23:54:23 +0200

caudium (2:1.2.31-2) unstable; urgency=high

  * Minor code fixes:
     - gsession module calls Caudium.parse_query_string now
  * mailit module from 1.3 added to the 1.2 distribution
  * Added ability to add a link to a stylesheet in Ultralog module
  * fixed a bug in htaccess module that makes it ignore .htaccess files
  * added the Mailform module from Caudium 1.3 tree
  * Backported Caudium 1.3 global configuration option to force load of
    all Caudium modules at startup by adding an optional define in performance.h.
    Start Caudium with -DLOAD_CONFIGS_STARTUP or add #define LOAD_CONFIGS_STARTUP
    to performance.h or to config.h in order to enable this functionality.
  * Force recompile with the current pike 7.2 version on m68k and s390
    (closes: Bug#203223)

 -- Marek Habersack <grendel@debian.org>  Mon, 28 Jul 2003 20:12:16 +0200

caudium (2:1.2.31-1) unstable; urgency=low

  * Latest upstream version. Important changes:
    - Added robot.txt generator from Roxen 2.x/3.x and updated it a bit.
    - Added Robot Trap from Caudium 1.3 tree.
    - MIME.Decode in base_server/wizard.pike is now inside a catch() to 
      avoid exceptions in case of partial/malformed base64 data given to the 
      webserver.
    - Added a catch() into MIME.Message used in multipart/form-data handler in
      http.pike and http2.pike to avoid locks into Caudium when malformed data
      comes into webserver.
    - Created new version of uniscript that uses FastCGI to communicate with
      the script interpreter, hopefully providing better performance.
    - Updated uniscript to inherit CGI rather than copy it.
    - Added a check in CGI module (and all modules that inherit it) which
      asks for a mountpoint that ends with a '/' to avoid potential
      security problems (eg list of files directories)
    - Fixes in responses given to FTP client in the ftp protocol. Mostly because
      Opera doesn't like it.

 -- Marek Habersack <grendel@debian.org>  Thu,  3 Jul 2003 03:35:08 +0200

caudium (2:1.2.27-1) unstable; urgency=low

  * Added the Brazilian Portuguese translation of the debconf templates
    provided by Andre Luis Lopes. Thank you. (closes: Bug#197541)
  * Updated and fixed the setools.pike module
  * Latest upstream version
  * Updated the French templates translation thanks to 
    Philippe Batailler and the debian-l10n-french subscribers
    (closes: Bug#195890)

 -- Marek Habersack <grendel@debian.org>  Tue,  3 Jun 2003 00:47:58 +0200

caudium (2:1.2.26-1) unstable; urgency=medium

  * All the pike files were moved to /usr/share/caudium to comply with
    the policy and to make the upgrade from 1.0 smooth.
    (closes: Bug#173811). Sorry Benoit it took so long, I forgot about
    the bug :)
  * Fix a bug in autoconf that prevented Caudium to compile if $CPPFLAGS was set
    before configure time.
  * Fix a bug in ssl3.pike where the redirect from http would always pick the
    admin port.
  * Backported Highlight pike system from 1.3 that supports CSS now
  * Backported Open Files wizard from 1.3 tree to show more accurate information.
  * Fix a bug with icons and virtual directories like /mail/ in gbutton module.

 -- Marek Habersack <grendel@debian.org>  Wed, 21 May 2003 22:53:27 +0200

caudium (2:1.2.25-4) unstable; urgency=low

  * Applied the patch from Denis Barbier correcting errors and rearranging
    the po templates file. Thank you. (closes: Bug#193081)
  * Updated the Polish translation.

 -- Marek Habersack <grendel@debian.org>  Tue, 13 May 2003 00:08:27 +0200

caudium (2:1.2.25-3) unstable; urgency=medium

  * make_tag_attributes() does't output any "/" that could be in the argument.
    That affects both make_tag() and make_container()
  * Force a rebuild on several architectures which had incorrect pike7.2 
    version (closes: Bug#191613)
  * Migrated to po-debconf

 -- Marek Habersack <grendel@debian.org>  Fri,  2 May 2003 14:16:59 +0200

caudium (2:1.2.25-2) unstable; urgency=low

  * Uploaded to match new pike 7.2
  * Bumbed the standards version
  * Versioned dependency on debhelper



=== debian/control ===
Source: caudium
Section: web
Priority: optional
Maintainer: Marek Habersack <grendel@debian.org>
Standards-Version: 3.6.1
Build-Depends: pike7.2 (>> 7.2.546), debhelper (>> 4.1.16), debconf-utils, libsablot0-dev, libxmltok1-dev, debconf (>=0.2.26), sharutils, autoconf (>> 2.53), automake, perl (>=5.8.0)

Package: caudium
Architecture: any
Pre-Depends: debconf (>= 0.2.26)
Depends: ${shlibs:Depends}, ${pike:name} (>= ${pike:ver}-1), ${pike:name} (<= ${pike:ver}-99), caudium-modules (= ${Source-Version}), ${pike:name}-image (>= ${pike:ver}-1), ${pike:name}-image (<= ${pike:ver}-99) , ${pike:name}-gz (>= ${pike:ver}-1), ${pike:name}-gz (<= ${pike:ver}-99), ${pike:name}-crypto (>= ${pike:ver}-1), ${pike:name}-crypto (<= ${pike:ver}-99)
Suggests: roxen-doc (>= 1.3.122-1)
Recommends: caudium-pixsl, caudium-ultralog, logrotate
Provides: httpd, httpd-cgi
Description: An extensible WWW server written in Pike
 Caudium is a modern, fast and extensible WWW server derived from Roxen. 
 Caudium is by default compatible with Roxen 1.3 although some incompatible 
 options, mostly introduced to improve the performance, security etc. of the
 server, can be turned on.
 Caudium features built-in log parsing engine (UltraLog), XSLT parser, native
 PHP4 support, multiple execution threads and many more features - see 
 http://caudium.net/ and http://caudium.org/ for more information.

Package: caudium-modules
Architecture: any
Depends: ${shlibs:Depends}, caudium (= ${Source-Version})
Description: C modules for Caudium
 Certain parts of Caudium are coded in C for speed. This package contains
 the compiled shared modules that are required by Caudium to run.
 .
 Caudium is a modern, fast and extensible WWW server derived from Roxen. 
 Caudium is by default compatible with Roxen 1.3 although some incompatible 
 options, mostly introduced to improve the performance, security etc. of the
 server, can be turned on.
 Caudium features built-in log parsing engine (UltraLog), XSLT parser, native
 PHP4 support, multiple execution threads and many more features - see 
 http://caudium.net/ and http://caudium.org/ for more information.

Package: caudium-pixsl
Architecture: any
Depends: ${shlibs:Depends}, caudium (= ${Source-Version})
Description: Pike XSLT module for Caudium
 Certain parts of Caudium are coded in C for speed. This package contains
 the compiled  shared extension module that provides Caudium with 
 XSLT support.
 .
 Caudium is a modern, fast and extensible WWW server derived from Roxen. 
 Caudium is by default compatible with Roxen 1.3 although some incompatible 
 options, mostly introduced to improve the performance, security etc. of the
 server, can be turned on.
 Caudium features built-in log parsing engine (UltraLog), XSLT parser, native
 PHP4 support, multiple execution threads and many more features - see 
 http://caudium.net/ and http://caudium.org/ for more information.

Package: caudium-ultralog
Architecture: any
Depends: ${shlibs:Depends}, caudium (= ${Source-Version})
Description: Log Parser module for Caudium
 Certain parts of Caudium are coded in C for speed. This package contains
 the compiled shared extension module that provides Caudium with a built-in
 log file parser that is capable of generating extensive statistics on the
 fly for virtual servers configured in your Caudium WebServer.
 .
 Caudium is a modern, fast and extensible WWW server derived from Roxen. 
 Caudium is by default compatible with Roxen 1.3 although some incompatible 
 options, mostly introduced to improve the performance, security etc. of the
 server, can be turned on.
 Caudium features built-in log parsing engine (UltraLog), XSLT parser, native
 PHP4 support, multiple execution threads and many more features - see 
 http://caudium.net/ and http://caudium.org/ for more information.

Package: caudium-dev
Architecture: any
Section: devel
Depends: ${pike:name} (>= ${pike:ver}-1), ${pike:name} (<= ${pike:ver}-99)
Description: Development files for Caudium
 A small package that contains files required for developing Caudium
 extension packages without installing Caudium itself.
 .
 Caudium is a modern, fast and extensible WWW server derived from Roxen. 
 Caudium is by default compatible with Roxen 1.3 although some incompatible 
 options, mostly introduced to improve the performance, security etc. of the
 server, can be turned on.
 Caudium features built-in log parsing engine (UltraLog), XSLT parser, native
 PHP4 support, multiple execution threads and many more features - see 
 http://caudium.net/ and http://caudium.org/ for more information.

Package: caudium-perl
Architecture: any
Depends: ${pike:name} (>= ${pike:ver}-1), ${pike:name} (<= ${pike:ver}-99), ${perl:Depends}
Description: Perl script support for Caudium
 This module embeds Perl in Caudium so that Perl scripts will be faster
 to execute, there will be no need for using them as CGI scripts.
 .
 Caudium is a modern, fast and extensible WWW server derived from Roxen. 
 Caudium is by default compatible with Roxen 1.3 although some incompatible 
 options, mostly introduced to improve the performance, security etc. of the
 server, can be turned on.
 Caudium features built-in log parsing engine (UltraLog), XSLT parser, native
 PHP4 support, multiple execution threads and many more features - see 
 http://caudium.net/ and http://caudium.org/ for more information.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.
#
# This is the Caudium Webserver rules file
# $Id: rules,v 1.30.2.18 2003/06/16 18:36:16 grendel Exp $
#
# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

export DH_OPTIONS

# we need to know what pike are we using

ifdef USE_PIKE
PIKE=pike$(USE_PIKE)
else
PIKE=pike7.2
endif
PIKEBIN=/usr/bin/$(PIKE)

PIKE_VERSION=$(shell $(PIKEBIN) -e 'string v; int rel;sscanf(version(), "Pike v%s release %d", v, rel); write(v+"."+rel);')
CVS_SNAPSHOT=$(shell if test -f configure; then echo no; else echo yes; fi)
PIKE7_CHANGELOG=/usr/share/doc/$(PIKE)/changelog.Debian.gz
PIKE_DEBIAN_VER=$(shell gunzip -c ${PIKE7_CHANGELOG} | head -1 | sed -e 's/\(.*(\)\(.*\)\().*\)/\2/')
PIKE_DEBIAN_VER2=$(shell echo $(PIKE_DEBIAN_VER) | sed -e 's/\(.*\)\(-.*\)/\1/')
EXTVER=

SCRIPTS=protocols/tetris.pike bin/pdbi.pike bin/sqladduser.pike \
        bin/ultrasum.pike bin/install.pike bin/pixsl.pike \
        etc/modules/CaudiumSSL.pmod/client.pike

PACKAGES=caudium caudium-modules caudium-pixsl caudium-ultralog

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	if test "$(CVS_SNAPSHOT)" = "yes"; then \
	    ./autogen.sh; \
	fi
	./configure --prefix=/usr --with-pike=$(PIKEBIN)

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) spotless
	-rm -f `find -name ".cvsignore" -type f -print`
	-rm -rf `find -name "CVS" -type d -print`
	-rm -f smartlink statuslock
	for p in $(PACKAGES); do rm -f $(CURDIR)/debian/$$p.links; done
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/caudium.
	$(MAKE) install_alt prefix=/usr DESTDIR=$(CURDIR)/debian/caudium EXTRAVER=$(EXTVER)
	-rm -f $(CURDIR)/debian/caudium/usr/share/doc/caudium$(EXTVER)/COPYING
	cp debian/localhost $(CURDIR)/debian/caudium/etc/caudium$(EXTVER)/localhost.sample
	cp debian/Global_Variables $(CURDIR)/debian/caudium/etc/caudium$(EXTVER)/Global_Variables.sample

	sed -e 's;/usr/caudium/server;/usr/lib/caudium$(EXTVER);g'< \
	 debian/caudium/usr/bin/ultrasum > debian/caudium/usr/bin/ultrasum.new && \
	mv debian/caudium/usr/bin/ultrasum.new debian/caudium/usr/bin/ultrasum ; \
	chmod 755 debian/caudium/usr/bin/ultrasum

	sed -e 's;/usr/caudium/server;/usr/lib/caudium$(EXTVER);g'< \
	 debian/caudium/usr/bin/pixsl > debian/caudium/usr/bin/pixsl.new && \
	mv debian/caudium/usr/bin/pixsl.new debian/caudium/usr/bin/pixsl ; \
	chmod 755 debian/caudium/usr/bin/pixsl debian/caudium/usr/lib/caudium$(EXTVER)/bin/pixsl.pike

	# fix caudiumctl paths
	sed -e 's#caudiumhome=.*#caudiumhome=/usr/lib/caudium#g' \
	    < $(CURDIR)/debian/caudium/usr/bin/caudiumctl \
	    > $(CURDIR)/debian/caudium/usr/bin/caudiumctl.new && \
	    mv $(CURDIR)/debian/caudium/usr/bin/caudiumctl.new $(CURDIR)/debian/caudium/usr/bin/caudiumctl && \
	    chmod 755 $(CURDIR)/debian/caudium/usr/bin/caudiumctl

	for s in $(SCRIPTS); do \
	  sed -e 's;^#\!.*;#\!/usr/bin/${PIKE};' debian/caudium/usr/lib/caudium$(EXTVER)/$$s > \
	      debian/caudium/usr/lib/caudium$(EXTVER)/$$s.new && \
	  mv debian/caudium/usr/lib/caudium$(EXTVER)/$$s.new debian/caudium/usr/lib/caudium$(EXTVER)/$$s ; \
	  chmod 755 debian/caudium/usr/lib/caudium$(EXTVER)/$$s ; \
	done

	# perms fixing fest
	-chmod 644 debian/caudium/usr/lib/caudium$(EXTVER)/fonts/32/urw_itc_avant_garde-demi-r \
	           debian/caudium/usr/lib/caudium$(EXTVER)/etc/roxen_hilfe.pike \
		   debian/caudium/usr/lib/caudium$(EXTVER)/base_server/config/font

	mv debian/caudium/usr/bin/htpasswd debian/caudium/usr/bin/htpasswd-caudium

	# add libroxen modules path
	# change the state directory
	sed -e 's;\(^.*globvar("ModuleDirs".*,({\)\(".*"\)\(}),\);\1\2,"/usr/share/roxen/modules/"\3;' \
	    -e 's;\(^.*globvar("font_dirs".*,({\)\(".*"\)\(}),\);\1\2,"local_fonts/",\3;' \
	    -e 's;\(^.*globvar("ConfigurationStateDir".*,\)\(".*"\)\([ ]*,.*,\);\1"/var/state/caudium$(EXTVER)/"\3;' \
	    -e 's;\(^.*globvar("User"[ ]*,[ ]*\)\(""\)\(.*,\);\1"33:33"\3;' \
	       debian/caudium/usr/lib/caudium$(EXTVER)/base_server/caudium.pike > \
	       debian/caudium/usr/lib/caudium$(EXTVER)/base_server/caudium.pike.new && \
	mv debian/caudium/usr/lib/caudium$(EXTVER)/base_server/caudium.pike.new \
	   debian/caudium/usr/lib/caudium$(EXTVER)/base_server/caudium.pike

	for p in $(CURDIR)/debian/www/*.png.uu; do \
	    uudecode -o $(CURDIR)/debian/caudium/var/www/caudiumimages/`basename $${p%*.uu}` $$p; \
	done
	# fix what lintian whines about
	ln -sf ../../../bin/$(PIKE) $(CURDIR)/debian/caudium/usr/lib/caudium$(EXTVER)/bin/caudium
	cp -dp $(CURDIR)/debian/caudium/usr/lib/caudium$(EXTVER)/bin/caudium $(CURDIR)/debian/caudium/usr/lib/caudium$(EXTVER)/bin/pike
	rm -rf debian/caudium/usr/local/

	# lintian doesn't like images in /usr/lib, let's move them to /usr/share
	mv debian/caudium/usr/lib/caudium$(EXTVER)/caudium-images debian/caudium/usr/share/caudium$(EXTVER)/

	#
	# copy perl
	#
	cp -pad $(CURDIR)/server/perl/ $(CURDIR)/debian/caudium/usr/lib/caudium$(EXTVER)/
	sed -e 's;^#\!.*;#\!/usr/bin/perl;' debian/caudium/usr/lib/caudium$(EXTVER)/perl/bin/perlhelper > \
	    debian/caudium/usr/lib/caudium$(EXTVER)/perlhelper.new && \
	mv debian/caudium/usr/lib/caudium$(EXTVER)/perlhelper.new \
	   debian/caudium/usr/lib/caudium$(EXTVER)/perl/bin/perlhelper
	chmod 755 debian/caudium/usr/lib/caudium$(EXTVER)/perl/bin/perlhelper

	install -d -m 755 -o root -g root $(CURDIR)/debian/caudium/usr/share/pike_packages/apps/modules/

	#
	# the -p debhelper param seems to be not working... 
	# so let's do it by hand
	#
	install -m 755 -d debian/caudium-ultralog/usr/share/man/man1/
	cp src/cmods/UltraLog/docs/ultrasum.1 \
	   debian/caudium-ultralog/usr/share/man/man1/

	dh_movefiles --sourcedir=debian/caudium

	# move all the arch independent files to /usr/share and symlink them from their original location
	# in /usr/lib/caudium/
	
	# pbuilder seems to have a problem with the script permissions
	chmod 755 $(CURDIR)/debian/reflect.sh
	for p in $(PACKAGES); do \
	(cd $(CURDIR)/debian/$$p/; find usr/lib/caudium/ \
	     -name "*.pike" -type f -print \
	     -o -name "*.pmod" -type f -print \
	     -o -name "*.html" -type f -print \
	     -o -name "*.h" -type f -print | \
	     $(CURDIR)/debian/reflect.sh usr/share/caudium/ \
	                                 $(CURDIR)/debian/$$p.links \
	                                 usr/lib/caudium/ \
					 $(CURDIR)/debian/$$p/) ; \
	done

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
#binary-indep: DH_OPTIONS=-i
binary-indep: build install

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
#	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installlogrotate
	dh_installinit
	dh_installman
#	dh_installcron
#	dh_installinfo
	dh_installchangelogs CHANGES
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
	dh_installdeb
#	dh_makeshlibs
	dh_perl
	dh_shlibdeps
	dh_gencontrol -- -Vpike:ver=$(PIKE_VERSION) -Vpike:name=$(PIKE)
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
